Package org.eclipse.birt.core.ui.frameworks.taskwizard

# Class CompoundTask

java.lang.Object
org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask

All Implemented Interfaces:
  `ITask`, `org.eclipse.jface.dialogs.IDialogPage`

Direct Known Subclasses:
  `TreeCompoundTask`

public class CompoundTask extends SimpleTask

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ISubtaskSheet`
`sCurrentTaskSheet`

### Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask

`container, context, topControl`

## Constructor Summary

Constructors
Constructor
Description
`CompoundTask(String title)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSubtask(String sSubtaskPath, ISubtaskSheet subtask)`
`protected boolean`
`containSubtask(String sSubtaskPath)`
`void`
`dispose()`
`protected ISubtaskSheet`
`getCurrentSubtask()`
`protected ISubtaskSheet`
`getSubtask(String sSubtaskPath)`
`void`
`removeSubtask(String sSubtaskPath)`
`void`
`switchTo(String sSubtaskPath)`

### Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask

`addError, createControl, getContext, getControl, getDescription, getErrorMessage, getErrors, getImage, getMessage, getTitle, performHelp, removeError, setContext, setDescription, setErrorHints, setImageDescriptor, setTitle, setUIProvider, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sCurrentTaskSheet

protected transient ISubtaskSheet sCurrentTaskSheet

## Constructor Details

### CompoundTask

public CompoundTask(String title)

## Method Details

### addSubtask

public void addSubtask(String sSubtaskPath, ISubtaskSheet subtask)

### removeSubtask

public void removeSubtask(String sSubtaskPath)

### switchTo

public void switchTo(String sSubtaskPath)

### containSubtask

protected boolean containSubtask(String sSubtaskPath)

### getSubtask

protected ISubtaskSheet getSubtask(String sSubtaskPath)

### getCurrentSubtask

protected ISubtaskSheet getCurrentSubtask()

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `dispose` in class `SimpleTask`